# Generated by Django 4.1.7 on 2023-05-16 07:43

from decimal import Decimal
from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import djmoney.models.fields
import djmoney.models.validators


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('payment_app', '0026_refund'),
    ]

    operations = [
        migrations.CreateModel(
            name='PayoutData',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('connected_account', models.CharField(max_length=250, verbose_name='Connected account')),
                ('external_account', models.CharField(max_length=250, verbose_name='External account')),
                ('payout_id', models.CharField(max_length=250, verbose_name='Payout ID')),
                ('transferred_amount_currency', djmoney.models.fields.CurrencyField(choices=[('USD', 'USD')], default='USD', editable=False, max_length=3)),
                ('transferred_amount', djmoney.models.fields.MoneyField(currency_choices=[('USD', 'USD')], decimal_places=2, default=Decimal('0.00'), default_currency='USD', max_digits=14, validators=[djmoney.models.validators.MinMoneyValidator(0)], verbose_name='Transferred amount')),
                ('status', models.CharField(max_length=100, verbose_name='Payout status')),
                ('discussions', models.CharField(max_length=500, verbose_name='Discussions')),
                ('created_at', models.DateTimeField(auto_now_add=True, verbose_name='Created at')),
                ('updated_at', models.DateTimeField(auto_now=True, null=True, verbose_name='Updated at')),
                ('place_owner', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='payout_data', to=settings.AUTH_USER_MODEL, verbose_name='Place owner')),
            ],
            options={
                'verbose_name': 'Payout data',
                'verbose_name_plural': 'Payout data',
            },
        ),
    ]
